Commit 4f21a6c2 authored by Ömer Fadıl Usta's avatar Ömer Fadıl Usta 😊
Browse files

Sync QT_MIN_VERSION with KF's REQUIRED_QT_VERSION

In KF we already looking for 5.15.2
and looking something lower than that
is a bit meaningless
parent 88d48ebb
Pipeline #239653 passed with stage
in 2 minutes and 14 seconds
......@@ -18,7 +18,7 @@ add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"'
-D'VERSION_MINOR=${RELEASE_SERVICE_VERSION_MINOR_INT}'
-D'VERSION_MICRO=${RELEASE_SERVICE_VERSION_MICRO}')
set (QT_MIN_VERSION "5.15.0")
set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.91")
set (LIBKTORRENT_MIN_VERSION "20.11.70")
set (Boost_MIN_VERSION "1.71.0")
......@@ -206,7 +206,7 @@ add_definitions(
-DQT_NO_KEYWORDS
-DQT_USE_FAST_OPERATOR_PLUS
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
set (KTORRENT_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/dbus_xml)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment